:root {
    --primary: #305D67;
    --secondary: #FAEDE0;
    --text: #3D4449;
    --textLight: #FEFCFA;
    --textMenu: #5B5B5B;
    --outline: #FBC4A2;
    --border: #d3d3d3;
    --background: #FEFCFA;

    /*  padding  */

    --padding-xs: 5px;
    --padding-sm: 10px;
    --padding-md: 20px;
    --padding-lg: 30px;
    --padding-xl: 45px;

    /*  margin  */

    --margin-xs: 5px;
    --margin-sm: 10px;
    --margin-md: 20px;
    --margin-lg: 30px;
    --margin-xl: 45px;

    /*  radius  */

    --radius-xs: 5px;
    --radius-sm: 10px;
    --radius-md: 20px;
    --radius-lg: 30px;
    --radius-xl: 45px;

    /*  gap  */

    --gap-xs: 5px;
    --gap-sm: 10px;
    --gap-md: 20px;
    --gap-lg: 30px;
    --gap-xl: 45px;

    /*  font-size  */

    --font-xs: 0.8rem;
    --font-sm: 1rem;
    --font-md: 1.2rem;
    --font-lg: 1.3rem;
    --font-xl: 1.4rem;

}



html {
    scrollbar-gutter: stable;
    scroll-padding-top: 130px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Montserrat, sans-serif;
    line-height: 1.2;
    scroll-behavior: smooth;
}

*::-webkit-scrollbar {
    width: var(--padding-sm);
    padding-left: var(--primary);
    border-radius: var(--radius-md);
}

*::-webkit-scrollbar-thumb {
    background: var(--primary);
    border-radius: var(--radius-md);
}

* {
    scrollbar-width: var(--padding-sm);
    scrollbar-color: var(--primary);
}

body {
    display: flex;
    flex-direction: column;
    background-color: var(--background);
    gap: var(--gap-xl);
}

header {
    width: 100%;
    background-color: var(--primary);
    position: sticky;
    top: 0;
    z-index: 10;
}

.header-container {
    width: 100%;
    max-width: 1400px;
    display: flex;
    margin: 0 auto;
}

.header-container h1 {
    color: var(--textLight);
    padding: var(--padding-md);
    font-size: var(--font-md);
    font-weight: bold;
}

aside {
    display: flex;
    flex-direction: column;
    background-color: var(--secondary);
    padding: var(--padding-md) 0;
    border-radius: 90px 90px var(--radius-sm) var(--radius-sm);
    margin-top: 40px;
    max-width: 280px;
    height: fit-content;
    position: sticky;
    top: 148px;
    max-height: calc(100vh - 200px);
    margin-left: var(--margin-md);
}

aside::before {
    content: url(/img/logo.svg);
    width: 110px;
    height: 110px;
    z-index: 1;
    margin: -95px auto var(--margin-lg) auto;
    background-color: var(--primary);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    padding: var(--padding-lg);
    border: 5px solid var(--outline);
}

.sidebar-close {
    display: none;
    position: absolute;
    top: var(--padding-sm);
    right: var(--padding-sm);
    font-size: 1.6rem;
    align-items: center;
    justify-content: center;
    width: fit-content;
    height: fit-content;
    line-height: 0.5;
    padding: var(--padding-sm);
    background: transparent;
    border: none;
    cursor: pointer;
}

.menu {
    display: flex;
    flex-direction: column;
    list-style: none;
    overflow-y: auto;
}

.menu a {
    display: flex;
    width: 100%;
    padding: var(--padding-sm) var(--padding-md);
    text-decoration: none;
    color: var(--textMenu);
    font-weight: bold;
    transition: all .3s ease;
}

.menu a:not(.active):hover {
    background-color: var(--primary);
    color: var(--textLight);
    transform: translateY(-1px);
}

.menu a.active {
    background-color: var(--primary);
    color: var(--textLight);
}

.submenu {
    max-height: 0;
    overflow: hidden;
    transition: max-height .35s ease;
    list-style: none;
    border-left: 2px solid var(--primary);
    margin-left: var(--margin-md);
}

.menu-item.open .submenu {
    max-height: 500px;
}

.menu-link.has-submenu {
    position: relative;
    cursor: pointer;
}

.burger {
    display: none;
    font-size: 30px;
    background: var(--primary);
    color: var(--textLight);
    border: none;
    padding-left: var(--padding-md);
    cursor: pointer;
}

.contacts {
    display: flex;
    flex-direction: column;
    padding: 0 var(--padding-md);
}

.contacts h3 {
    padding: var(--padding-lg) 0;
    color: var(--primary);
}

.contacts-info {
    display: flex;
    flex-direction: column;
    gap: var(--gap-md);
}

.contacts-info li {
    display: flex;
    flex-direction: row;
    gap: var(--gap-md);
}

.contacts-info li img {
    width: 16px;
}

.contacts-info li a {
    color: var(--textMenu);
}

.contacts-info ul {
    display: flex;
    flex-direction: column;
    gap: var(--gap-xs);
}

.menu-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.4);
    backdrop-filter: blur(2px);
    opacity: 0;
    pointer-events: none;
    transition: opacity .3s ease;
    z-index: 1490;
}

.menu-overlay.visible {
    opacity: 1;
    pointer-events: auto;
}

.guides-container {
    min-height: 84vh;
}

section {
    display: flex;
    margin: 0 auto;
    max-width: 1400px;
    width: 100%;
    color: var(--text);
    gap: var(--gap-md);
}

main {
    width: 100%;
}

.section {
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    transition:
            max-height 0.4s ease,
            opacity 0.3s ease;
}

.section.opening {
    opacity: 1;
}

.section.open {
    max-height: none;
    opacity: 1;
}

.guide-list {
    padding: var(--padding-md);
    list-style: none;
    counter-reset: guide-counter;
}

.guide-item {
    margin-bottom: var(--margin-md);
}

.guide-item>.guide-title::before {
    counter-increment: guide-counter;
    content: counter(guide-counter) "";
    font-weight: bold;
    color: var(--textLight);
    padding: var(--padding-xs);
    border: 5px solid var(--outline);
    border-radius: 50%;
    background-color: var(--primary);
    display: flex;
    width: 40px;
    height: 40px;
    align-items: center;
    justify-content: center;
    font-size: 1.8rem;
    flex-shrink: 0;
}

.guide-title {
    background: none;
    border: none;
    width: 100%;
    padding-right: var(--padding-md);
    text-align: left;
    font-size: 20px;
    font-weight: bold;
    cursor: pointer;
    border-radius: var(--radius-xl);
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: var(--gap-md);
    color: var(--text);
    transition: all .3s ease;
}

.guide-title:hover {
    color: var(--primary);
    transform: translateY(-1px);
}

.sub-guide-list {
    margin-left: 28px;
    padding-left: var(--padding-md);
    border-left: 2px solid var(--primary);
    list-style: none;
    max-height: 0;
    overflow: hidden;
    transition: max-height .35s ease;
}

.guide-item .sub-guide-list,
.sub-guide-item .sub-content {
    max-height: 0;
    overflow: hidden;
    /*opacity: 1;*/
    transition:
        max-height 0.35s ease,
        opacity 0.25s ease;
}

.guide-item.open > .sub-guide-list,
.sub-guide-item.open > .sub-content {
    opacity: 1;
}

.sub-guide-item {
    margin-bottom: var(--margin-sm);
    padding: var(--padding-sm) var(--padding-md);
    border-radius: var(--radius-md);
    border: 3px solid var(--border);
    transition: border .3s;
}

.sub-guide-item.active {
    border-color: var(--primary);
}

.sub-guide-item:last-child {
    margin-bottom: 0;
}

.sub-title {
    background-color: var(--background);
    color: var(--primary);
    width: 100%;
    border: none;
    /*padding: 12px var(--padding-md);*/
    /*border-radius: var(--radius-lg);*/
    /*border: 3px solid var(--border);*/
    cursor: pointer;
    text-align: left;
    transition: background .3s;
    font-size: 1.1rem;
}

.sub-content {
    max-height: 0;
    overflow: hidden;
    padding-left: 10px;
    transition: max-height .35s ease;
    gap: var(--gap-sm);
    display: flex;
    flex-direction: column;
}

.sub-content:not(.disabled)>*:first-child {
    margin-top: var(--margin-md);
}

.sub-guide-item.open .sub-content {
    max-height: 500px;
    margin-top: 8px;
}

.sub-content > p {
    line-height: 1.6;
}

.sub-content ul {
    list-style: disc;
    margin-left: var(--margin-md);
}

.sub-content ol {
    list-style: decimal;
    margin-left: var(--margin-md);
}

.sub-content li {
    margin-bottom: var(--margin-sm);
}

.sub-content a {
    color: var(--primary);
    cursor: pointer;
    width: 70%;
}

.sub-content a img {
    width: 100%;
    border-radius: var(--radius-sm);
}

footer {
    background-color: var(--primary);
    width: 100%;
    padding: var(--padding-md) 0;
}

.footer-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
}

.footer {
    display: flex;
    flex-direction: column;
    color: var(--textLight);
    padding: 0 var(--padding-md);
}

.footer>*:last-child {
    align-self: center;
}

.footer-text {
    display: flex;
    flex-direction: column;
    max-width: 280px;
    color: var(--textLight);
}

.footer-text h3 {
    font-size: 1.1rem;
}

.footer-text p, .footer p {
    font-size: 0.8rem;
    padding: var(--padding-xs) 0;
}

.footer-text p a {
    color: var(--textLight);
    letter-spacing: 0.03rem;
}

@media (min-height: 1201px) {
    aside.sidebar {
        position: sticky;
        top: 20px;
        align-self: flex-start;
    }
}

@media(max-width: 1200px){
    body {
        gap: var(--gap-xs)
    }

    .burger {
        display: block;
    }

    aside {
        margin-left: 0;
    }

    .sidebar-close {
        display: flex;
    }

    aside.sidebar {
        position: fixed;
        top: 0;
        left: -320px;
        width: 280px;
        height: 100vh;
        background-color: var(--secondary);
        transition: left .35s ease;
        z-index: 1500;
        overflow-y: auto;
        padding: 50px 0;
        margin-top: 0;
        border-radius: 0 var(--radius-md) var(--radius-md) 0;
    }

    aside::before {
        display: none;
    }

    aside.sidebar.open {
        left: 0;
    }

    main {
        margin-left: 0 !important;
    }

    .guide-list {
        padding: var(--padding-sm);
    }

    aside {
        max-height: none;
    }
    .footer-text {
        max-width: 150px;
    }
}

@media(max-width: 768px) {
    .sub-content a {
        width: 100%
    }
}